extends Node

var _args = {
	
}

func parse_arguments():
	var args = Array(OS.get_cmdline_args())
	for arg in args:
		arg = arg.trim_prefix('--')
		var split_arg = arg.split('=')
		_args[split_arg[0]] = split_arg[1]

func get(arg):
	if arg in _args:
		return _args[arg]
	else:
		return null
